# synfigapp::ActiveTimeInfo Struct Reference

`#include <timegather.h>`

List of all members.

## Public Types

typedef std::set < synfig::Activepoint, actcmp > | set

## Public Member Functions

bool | operator< (const ActiveTimeInfo &rhs) const

## Public Attributes

synfigapp::ValueDesc | val
set | activepoints

## Classes

struct | actcmp

## Member Typedef Documentation

typedef std::set<synfig::Activepoint,actcmp> synfigapp::ActiveTimeInfo::set

## Member Function Documentation

bool synfigapp::ActiveTimeInfo::operator< | ( | const ActiveTimeInfo & | rhs | ) | const`[inline]`

References synfigapp::ValueDesc::get_index(), synfigapp::ValueDesc::get_parent_value_node(), and val.

## Member Data Documentation

synfigapp::ValueDesc synfigapp::ActiveTimeInfo::val

Referenced by synfigapp::timepoints_ref::insert(), and operator<().

set synfigapp::ActiveTimeInfo::activepoints `[mutable]`

Referenced by synfigapp::timepoints_ref::insert().

The documentation for this struct was generated from the following file:

- timegather.h